Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class RExecTask.RExecWrite

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask
            |
            +--org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecWrite

Enclosing class:
  RExecTask

public class RExecTask.RExecWrite
extends RExecTask.RExecSubTask

Sends text to the connected server

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask
`taskString`

Constructor Summary
`RExecTask.RExecWrite()`

Method Summary
`void` | `execute(RExecTask.AntRExecClient rexec)`
`void` | `setEcho(boolean b)` Whether or not the message should be echoed to the log.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask
`addText, setString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RExecTask.RExecWrite

    public RExecTask.RExecWrite()

Method Detail

### execute

    public void execute(RExecTask.AntRExecClient rexec)
                 throws BuildException

  Overrides:
    `execute` in class `RExecTask.RExecSubTask`
    `BuildException`

### setEcho

    public void setEcho(boolean b)

  Whether or not the message should be echoed to the log. Defaults to `true`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.